Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class DialUpReportUtils

java.lang.Object
bitel.billing.server.call.bean.ReportUtils
ru.bitel.bgbilling.modules.dialup.server.bean.DialUpReportUtils

public final class DialUpReportUtils extends ReportUtils

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.call.bean.ReportUtils

  `con, loginManager, mid, moduleSetup, unit, unit_scale`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DialUpReportUtils(Connection con, int mid, Preferences moduleSetup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLoginsAmounts(Period period, int cid, Map<String,Object> dataMap, String module, String filter)`
  `void`
  `addLoginsAmounts(Period period, int cid, Element data, String module, String filter)`
  `void`
  `addSessions(ResultSet rs, Element data)`
  `void`
  `addSessions(Element sessions, List<Integer> lids, Period period, boolean break_on_pages, Page page, String columns, String filter)`
  `int`
  `addSums(Element data, List<Integer> lids, Period period, String filter)`
  `List<Object>`
  `getSessionsColSumTimeTraffics(List<Integer> lids, Period period)`
  Возвращает список объектов: 1) количество - Integer 2) сумма - Float 3) время - Integer 4) трафики - List of BigDecimal

  ### Methods inherited from class bitel.billing.server.call.bean.ReportUtils

  `getLoginManager, getReportUtils, getSessionsColSumTimeTinTout, getSessionsColSumTimeTinTout, getSessionTableName, selectSomethingFromSessions, selectSomethingFromSessions, selectSomthFromSessions, selectSomthFromSessions, setUnit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DialUpReportUtils

    public DialUpReportUtils(Connection con, int mid, Preferences moduleSetup)

- ## Method Details

  - ### addSessions

    public void addSessions(ResultSet rs, Element data)
    Overrides:
      `addSessions` in class `ReportUtils`
    See Also:
      - `ReportUtils.addSessions(java.sql.ResultSet, org.w3c.dom.Element)`

  - ### addLoginsAmounts

    public void addLoginsAmounts(Period period, int cid, Element data, String module, String filter) throws SQLException
    Specified by:
      `addLoginsAmounts` in class `ReportUtils`
    Throws:
      `SQLException`
    See Also:
      - `ReportUtils.addLoginsAmounts(bitel.billing.server.util.MonthPeriod, int, org.w3c.dom.Element, java.lang.String, java.lang.String)`

  - ### addLoginsAmounts

    public void addLoginsAmounts(Period period, int cid, Map<String,Object> dataMap, String module, String filter) throws SQLException
    Specified by:
      `addLoginsAmounts` in class `ReportUtils`
    Throws:
      `SQLException`
    See Also:
      - `ReportUtils.addLoginsAmounts(bitel.billing.server.util.MonthPeriod, int, java.util.Map, java.lang.String, java.lang.String)`

  - ### addSums

    public int addSums(Element data, List<Integer> lids, Period period, String filter) throws SQLException
    Specified by:
      `addSums` in class `ReportUtils`
    Throws:
      `SQLException`
    See Also:
      - `ReportUtils.addSums(org.w3c.dom.Element, java.util.List, bitel.billing.server.util.MonthPeriod, java.lang.String)`

  - ### getSessionsColSumTimeTraffics

    public List<Object> getSessionsColSumTimeTraffics(List<Integer> lids, Period period) throws SQLException
    Возвращает список объектов: 1) количество - Integer 2) сумма - Float 3) время - Integer 4) трафики - List of BigDecimal
    Parameters:
      `lids` - коды логинов
      `per` - период
    Returns:
      список объектов
    Throws:
      `SQLException`

  - ### addSessions

    public void addSessions(Element sessions, List<Integer> lids, Period period, boolean break_on_pages, Page page, String columns, String filter)
    Overrides:
      `addSessions` in class `ReportUtils`
    See Also:
      - `ReportUtils.addSessions(org.w3c.dom.Element, java.util.List, bitel.billing.server.util.MonthPeriod, boolean, ru.bitel.common.model.Page, java.lang.String, java.lang.String)`